{
  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  outputs = {
    self,
    nixpkgs,
  }: let
    # inherit (self) outputs;
    systems = ["aarch64-linux" "aarch64-darwin" "x86_64-darwin" "x86_64-linux"];
    forSystems = nixpkgs.lib.genAttrs systems;
    pkgsFor = system: (import nixpkgs {inherit system;});
    genPkgs = func: (forSystems (system: func (pkgsFor system)));
  in {
    devShells = genPkgs (pkgs: {
      default = pkgs.mkShell {
        packages = with pkgs; [
          picotool
          elf2uf2-rs
          probe-rs
          rustup
          flip-link
        ];
      };
    });
  };
}
